Skip to main content
`Ctrl`+`K`

# PetscFEGetNumDof

Returns the number of dofs (dual basis vectors) associated to mesh points on the reference cell of a given dimension

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEGetNumDof(PetscFE fem, const PetscInt *numDof[])

Not Collective

## Input Parameter

- fem - The `PetscFE` object

## Output Parameter

- numDof - Array of length `dim` with the number of dofs in each dimension

## See Also

`PetscFE`, `PetscSpace`, `PetscDualSpace`, `PetscFECreate()`

## Level

intermediate

## Location

src/dm/dt/fe/interface/fe.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages